PRIOn Logo

CVE-2023-40547 Remote code execution

Routine
Remediate Within 6 Months

CVE Information

Original CVE data

Published:
Updated:

A remote code execution vulnerability was found in Shim. The Shim boot support trusts attacker-controlled values when parsing an HTTP response. This flaw allows an attacker to craft a specific malicious HTTP request, leading to a completely controlled out-of-bounds write primitive and complete system compromise. This flaw is only exploitable during the early boot phase, an attacker needs to perform a Man-in-the-Middle or compromise the boot server to be able to exploit this vulnerability successfully.

CWE: CWE-787
CVSS v2-
CVSS v38.3
CVSS:3.1/AV:A/AC:H/PR:N/UI:N/S:C/C:H/I:H/A:H
References
https://access.redhat.com/security/cve/CVE-2023-40547
https://bugzilla.redhat.com/show_bug.cgi?id=2234589
http://www.openwall.com/lists/oss-security/2024/01/26/1
https://access.redhat.com/errata/RHSA-2024:1834
https://access.redhat.com/errata/RHSA-2024:1835
https://access.redhat.com/errata/RHSA-2024:1873
https://access.redhat.com/errata/RHSA-2024:1876
https://access.redhat.com/errata/RHSA-2024:1883
https://access.redhat.com/errata/RHSA-2024:1902
https://access.redhat.com/errata/RHSA-2024:1903
https://access.redhat.com/errata/RHSA-2024:1959
https://access.redhat.com/errata/RHSA-2024:2086
https://lists.debian.org/debian-lts-announce/2024/05/msg00009.html
Affected Vendors

Redhat - (2)

Basic Analysis

Common vulnerability metrics

Vulnerabilty type as detected by PRIOnengine

Remote code execution

CVSS Scores as calculated by PRIOnengine
CVSS v29.3
AV:N/AC:M/AU:N/C:C/I:C/A:C
CVSS v38.1
AV:N/AC:H/PR:N/UI:N/S:U/C:H/I:H/A:H
MITRE CWE Top 25

Vulnerability weakness type is in the top 25 CWEs according to MITRE. View Mitre Top 25 CWEs

Exploits

No exploit code is reported to exist.

Active Exploitation

Vulnerability is not in CISA's Known Exploited Vulnerabilities (KEV) catalog. See the KEV Catalog

Social Network Activity

-

Threat Actor Activity

No sightings of the vulnerability within threat reports.

Cybersecurity Frameworks

How the vulnerability maps against various cybersecurity frameworks

T1565.002 - Data Manipulation (Transmitted Data Manipulation)
T1562.010 - Impair Defenses (Downgrade Attack)
T1557 - Adversary-in-the-Middle
T1499.004 - Endpoint Denial of Service (Application or System Exploitation)
T1498 - Network Denial of Service
T1203 - Exploitation for Client Execution
T1059 - Command and Scripting Interpreter

Compliance Impact

How the submited vulnerability affects compliance

PCI DSS v3.2.1-6.5.4 - Insecure Communications
PCI DSS v3.2.1-6.5.2 - Buffer Overflows

Web Application Security Frameworks

Applicable if the issue likely affects a web application

WASC-19 - SQL Injection